Subject: RE: Configuring Multiple Certicates SSL over an unique IP

From: "Boyle Owen" <[email-masked]>
Date: Tue, 5 Nov 2002 11:21:52 +0100

Yes indeed, although this is a rather limited case of NBVH.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Dienstag, 5. November 2002 10:08
To: [email-masked]
Subject: Re: Configuring Multiple Certicates SSL over an unique IP

On Tue, 5 Nov 2002 08:48:58 +0100
"Boyle Owen" <[email-masked]> wrote:

> No. This is called name-based virtual hosting (NBVH). It works fine
for
> plain HTTP but is impossible under SSL.
> 
> The reason is that NBVH uses the "Host" header to find the VH. But in
> SSL, the connection must be established *before* you get the Host
> header. So the server cannot decide which VH to use. 

except you are using a star-certificate, 

if your certificate is *.foo.bar you can use name-based virtual hosting
for
following dhosts:

www.foo.bar
test.foo.bar 
new.foo.bar
...
what-ever.foo.bar

> 
> Rgds,
> 
> Owen Boyle 
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Montag, 4. November 2002 23:20
> To: [email-masked]
> Subject: Configuring Multiple Certicates SSL over an unique IP
> 
> 
> 
> Hello,
> 
>  There are some way to configuring the Apache Server to utilize
multiple
> certificates SSL, over an unique ip, once for each virtual domain ?
> 
>  What the Apache configure sintax ?
> 
> Alex Moraes
> 
-- 
"The software said it requires Windows 95 or better,
                                                 so I installed Linux"
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]

This message is for the named person's use only. It may contain
confidential, proprietary or legally privileged information. No
confidentiality or privilege is waived or lost by any mistransmission.
If you receive this message in error, please notify the sender urgently
and then immediately delete the message and any copies of it from your
system. Please also immediately destroy any hardcopies of the message.
You must not, directly or indirectly, use, disclose, distribute, print,
or copy any part of this message if you are not the intended recipient.
The sender's company reserves the right to monitor all e-mail
communications through their networks. Any views expressed in this
message are those of the individual sender, except where the message
states otherwise and the sender is authorised to state them to be the
views of the sender's company. 
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]

---

From: "Hunt,Keith A" <[email-masked]>
Date: Tue, 5 Nov 2002 09:55:58 -0500

How does one go about getting a star certificate?

> From: Boyle Owen [mailto:[email-masked]] 
> Sent: Tuesday, November 05, 2002 5:22 AM
> Subject: RE: Configuring Multiple Certicates SSL over an unique IP
> 
> 
> if your certificate is *.foo.bar you can use name-based 
> virtual hosting for following dhosts:
> 
> www.foo.bar
> test.foo.bar 
> new.foo.bar
> ...
> what-ever.foo.bar
> 
> 
> > 
> > Rgds,
> > 
> > Owen Boyle
> > 
>                                                  so I 
> installed Linux" 
> This message is for the named person's use only. It may 
> contain confidential, proprietary or legally privileged 
> information. No confidentiality or privilege is waived or 
> lost by any mistransmission. If you receive this message in 
> error, please notify the sender urgently and then immediately 
> delete the message and any copies of it from your system. 
> Please also immediately destroy any hardcopies of the 
> message. You must not, directly or indirectly, use, disclose, 
> distribute, print, or copy any part of this message if you 
> are not the intended recipient. The sender's company reserves 
> the right to monitor all e-mail communications through their 
> networks. Any views expressed in this message are those of 
> the individual sender, except where the message states 
> otherwise and the sender is authorised to state them to be 
> the views of the sender's company.

---

From: [email-masked]
Date: Tue, 5 Nov 2002 15:07:49 -0000

Only Thawte do starred certificates, www.thawte.com, however they are now
fairly restrictive on allowing them. You have to contact a representative
first (ie you can no longer get them online).

We are probably not going to bother renewing our current one because they
are now too much hassle.

- 
John Airey, BSc (Jt Hons), CNA, RHCE
Internet systems support officer, ITCSD, Royal National Institute of the
Blind,
Bakewell Road, Peterborough PE2 6XU,
Tel.: +44 (0) 1733 375299 Fax: +44 (0) 1733 370848 [email-masked] 

If we could learn one thing from September 11th 2001, it would be the utter
absurdity of moral relativism.

> From: Hunt,Keith A [mailto:[email-masked]]
> Sent: 05 November 2002 14:56

- 

NOTICE: The information contained in this email and any attachments is 
confidential and may be legally privileged. If you are not the 
intended recipient you are hereby notified that you must not use, 
disclose, distribute, copy, print or rely on this email's content. If 
you are not the intended recipient, please notify the sender 
immediately and then delete the email and any attachments from your 
system.

RNIB has made strenuous efforts to ensure that emails and any 
attachments generated by its staff are free from viruses. However, it 
cannot accept any responsibility for any viruses which are 
transmitted. We therefore recommend you scan all attachments.

Please note that the statements and views expressed in this email 
and any attachments are those of the author and do not necessarily 
represent those of RNIB.

RNIB Registered Charity Number: 226227

Website: http://www.rnib.org.uk